edu.ucsb.nceas.metacat.service

## Class XMLNoNamespaceSchema

- java.lang.Object
- - edu.ucsb.nceas.metacat.service.XMLSchema
  - - edu.ucsb.nceas.metacat.service.XMLNoNamespaceSchema

-     public class XMLNoNamespaceSchema
      extends XMLSchema

  This class represents the information for a schema without a namespace
  Author:
    tao

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNoNamespaceSchema(java.lang.String noNamespaceSchemaLocation, java.lang.String externalFileUri, java.lang.String formatId)` Constructor of the object

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNoNamespaceSchemaLocation()` Get the no-namespace-schemal-location uri
    `static java.lang.String` | `getType()` Return the type of schema.
    `void` | `setNoNamespaceSchemaLocation(java.lang.String noNamespaceSchemaLocation)` Set the no-namespace-schemal-location uri

    - ### Methods inherited from class edu.ucsb.nceas.metacat.service.XMLSchema

      `getExternalFileUri, getFileName, getFileNamespace, getFormatId, getLocalFileDir, getLocalFileUri, setExternalFileUri, setFileName, setFileNamespace, setFormatId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNoNamespaceSchema

          public XMLNoNamespaceSchema(java.lang.String noNamespaceSchemaLocation,
                                      java.lang.String externalFileUri,
                                      java.lang.String formatId)

      Constructor of the object
      Parameters:
        `noNamespaceSchemaLocation` - the uri of the noNamespaceSchemaLocation of the schema
        `externalFileUri` - the registered file url location for this schema
        `formatId` - the format id of a xml instance of the schema

  - ### Method Detail

    - #### getNoNamespaceSchemaLocation

          public java.lang.String getNoNamespaceSchemaLocation()

      Get the no-namespace-schemal-location uri
      Returns:

    - #### setNoNamespaceSchemaLocation

          public void setNoNamespaceSchemaLocation(java.lang.String noNamespaceSchemaLocation)

      Set the no-namespace-schemal-location uri
      Parameters:
        `noNamespaceSchemaLocation` -

    - #### getType

          public static java.lang.String getType()

      Return the type of schema. It always is "NoNamespaceSchema".
      Returns:

Copyright © 2023 Regents of the University of California. All Rights Reserved.